#version 140

in vec3 aPosition;
in vec2 aTexCoord;
in vec3 aNormal;
out vec2 vTexCoord;
out float vDot;
uniform mat4 uProjMatrix;
uniform mat4 uViewMatrix;

void main()
{
    gl_Position = uProjMatrix * uViewMatrix * vec4(aPosition, 1.0);
    vTexCoord = aTexCoord;
    vec3 lightDir = normalize(vec3(0.5, 0.6, 0.7));
    vDot = max(dot(normalize(aNormal), lightDir), 0.0);
}